Subject: [Lsr] I-D Action: draft-ietf-lsr-ospfv3-extended-lsa-yang-01.txt

From: [email-masked]
Date: Fri, 24 Apr 2020 12:36:23 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Link State Routing WG of the IETF.

        Title           : YANG Model for OSPFv3 Extended LSAs
        Authors         : Acee Lindem
                          Sharmila Palani
                          Yingzhen Qu
	Filename        : draft-ietf-lsr-ospfv3-extended-lsa-yang-01.txt
	Pages           : 30
	Date            : 2020-04-24

Abstract:
   This document defines a YANG data model augmenting the IETF OSPF YANG
   model to provide support for OSPFv3 Link State Advertisment (LSA)
   Extensibility as defined in RFC 8362.  OSPFv3 Extended LSAs provide
   extensible TLV-based LSAs for the base LSA types defined in RFC 5340.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-lsr-ospfv3-extended-lsa-yang/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-ietf-lsr-ospfv3-extended-lsa-yang-01
https://datatracker.ietf.org/doc/html/draft-ietf-lsr-ospfv3-extended-lsa-yang-01

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-lsr-ospfv3-extended-lsa-yang-01

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: wangyali <[email-masked]>
Date: Mon, 27 Apr 2020 02:33:30 +0000

Dear authors,

It's valuable work. After reading I have a clarifying question.

As you defined a Container unknown-tlv and Grouping unknown-sub-tlv in each OSPFv3 Extended LSAs defined in [RFC8362], are these used for extension of new OSPF Extended LSAs and new attributes in each extended LSA, respectively?

For example, if other attributes associated with Link are extended to E-Router-LSA TLV for access via NETCONF, does it can be directly augmented leaf of the List sub-tlvs in this YANG module? 

If not, does it need to define a new YANG module used for other Link attributes can be accessed via NETCONF?

Best regards,
Yali

-----邮件原件-----
发件人: [email-masked] [mailto:[email-masked]] 
发送时间: 2020年4月25日 3:36
收件人: [email-masked]
抄送: [email-masked]
主题: [Lsr] I-D Action: draft-ietf-lsr-ospfv3-extended-lsa-yang-01.txt

Abstract:

Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org.

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Mon, 27 Apr 2020 12:27:20 +0000

Hi Yali, 

On 4/26/20, 10:34 PM, "Lsr on behalf of wangyali" <[email-masked] on behalf of [email-masked]> wrote:

    Dear authors,

Yes. 

Yes. There are many features that utilize the OSPFv3 extended LSA format and these will correspond to new models. For example, OSPFv3 segment routing. 

Thanks,
Acee

    Best regards,
    Yali

    -----邮件原件-----
    发件人: [email-masked] [mailto:[email-masked]] 
    发送时间: 2020年4月25日 3:36
    收件人: [email-masked]
    抄送: [email-masked]
    主题: [Lsr] I-D Action: draft-ietf-lsr-ospfv3-extended-lsa-yang-01.txt

    Abstract:

    _______________________________________________
    Lsr mailing list
    [email-masked]
    https://www.ietf.org/mailman/listinfo/lsr

---

From: wangyali <[email-masked]>
Date: Tue, 28 Apr 2020 10:09:18 +0000

Hi Acee,

Please see inline [Yali]. Thanks.

-----Original Message-----
From: Acee Lindem (acee) [mailto:[email-masked]] 
Sent: Monday, April 27, 2020 8:27 PM
To: wangyali <[email-masked]>; [email-masked]
Subject: Re: [Lsr] 答复: I-D Action: draft-ietf-lsr-ospfv3-extended-lsa-yang-01.txt

Hi Yali, 

    Dear authors,

Yes. 

[Yali]: Could you give an example to illustrate how to use this model? And please add some words to introduce how to use these unkown-tlv and unknown-sub-tlv Container/Grouping?

[Yali]: For example, in RFC8666, the Prefix-SID sub-TLV is a sub-TLV of the Intra-Area Prefix TLV. And in draft [ospfv3-extended-lsa-yang-01], you also defined grouping intra-area-prefix-tlv which includes a list sub-tlvs. May question is that could we directly use the ospfv3-extended-lsa-yang model and augment a Prefix-SID sub-TLV leaf in the list sub-tlv and do not need to define a new model? If not, why?

[Yali]: Besides, considering NETCONF and BGP-LS are two parallel solutions for exportation, we suggest separate this draft [draft-wang-lsr-ifit-node-capability-advertisement-00]. One draft specifies IGP Extension for IFIT capability advertisement and others specify IFIT capability exportation via NETCONF and BGP-LS, respectively. Do you agree that?
 
Thanks,
Acee

    Best regards,
    Yali

    -----邮件原件-----
    发件人: [email-masked] [mailto:[email-masked]] 
    发送时间: 2020年4月25日 3:36
    收件人: [email-masked]
    抄送: [email-masked]
    主题: [Lsr] I-D Action: draft-ietf-lsr-ospfv3-extended-lsa-yang-01.txt

    Abstract:

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Tue, 28 Apr 2020 20:20:02 +0000

Hi Yali, 

See [Acee]. 

On 4/28/20, 6:10 AM, "wangyali" <[email-masked]> wrote:

    Hi Acee,

    -----Original Message-----
    From: Acee Lindem (acee) [mailto:[email-masked]] 
    Sent: Monday, April 27, 2020 8:27 PM
    To: wangyali <[email-masked]>; [email-masked]
    Subject: Re: [Lsr] 答复: I-D Action: draft-ietf-lsr-ospfv3-extended-lsa-yang-01.txt

    Hi Yali, 

        Dear authors,

    Yes. 

[Acee] As the name implies, you'd use them for TLVs and Sub-TLVs that are not supported. 

[Acee] You'd use them if you supported the augmenting OSPFv3 YANG model. However, in that case, then they'd no longer be "unknown". OSPFv3 features adding new TLVs and Sub-TLVs will not automatically be supported by all routers OSPFv3 routers in the domain. In fact, due to timing there may be features that don't even have corresponding OSPFv3 Extended-LSA YANG model augmentations when the corresponding Extended-LSAs are advertised. 

[Acee] I agree that the NETCONF and YANG model should be separate. I didn't agree that it is needed in the IGPs. 

Thanks,
Acee

    Thanks,
    Acee

        Best regards,
        Yali

        -----邮件原件-----
        发件人: [email-masked] [mailto:[email-masked]] 
        发送时间: 2020年4月25日 3:36
        收件人: [email-masked]
        抄送: [email-masked]
        主题: [Lsr] I-D Action: draft-ietf-lsr-ospfv3-extended-lsa-yang-01.txt

        Abstract:

---

From: wangyali <[email-masked]>
Date: Wed, 29 Apr 2020 07:42:42 +0000

Hi Acee,

Please see inline [Yali2]. Thanks.

-----Original Message-----
From: Acee Lindem (acee) [mailto:[email-masked]] 
Sent: Wednesday, April 29, 2020 4:20 AM
To: wangyali <[email-masked]>; [email-masked]
Subject: Re: [Lsr] 答复: I-D Action: draft-ietf-lsr-ospfv3-extended-lsa-yang-01.txt

Hi Yali, 

See [Acee]. 

    Hi Acee,

    -----Original Message-----
    From: Acee Lindem (acee) [mailto:[email-masked]] 
    Sent: Monday, April 27, 2020 8:27 PM
    To: wangyali <[email-masked]>; [email-masked]
    Subject: Re: [Lsr] 答复: I-D Action: draft-ietf-lsr-ospfv3-extended-lsa-yang-01.txt

    Hi Yali, 

        Dear authors,

    Yes. 

		[Yali2] OK. Got it.

		[Yali2] That is to say, if new TLVs and sub-TLVs are in well-known features and supported by all OSPFv3 routers, they maybe have the corresponding augmentations in the OSPFv3 Extended-LSA YANG model. Otherwise, it recommends to define new YANG models for new OSPFv3 features adding new TLVs and Sub-TLVs.

		[Yali2] Do you agree we remove the content about extension to BGP-LS for signaling node capability from the draft [draft-wang-lsr-ifit-node-capability-advertisement-00]? NETCONF and BGP-LS are two parallel solutions for a centralized controller to obtain the node capability. It may not need to combine NETCONF/BGP-LS with LSA among OSPF routers.

Thanks,
Acee

    Thanks,
    Acee

        Best regards,
        Yali

        -----邮件原件-----
        发件人: [email-masked] [mailto:[email-masked]] 
        发送时间: 2020年4月25日 3:36
        收件人: [email-masked]
        抄送: [email-masked]
        主题: [Lsr] I-D Action: draft-ietf-lsr-ospfv3-extended-lsa-yang-01.txt

        Abstract: